View Issue Details

IDProjectCategoryView StatusLast Update
0005220Talerdeployment and operationspublic2018-04-15 20:34
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005220: pylint checks against python2 and other issues
Descriptionpylint complains about useless parentheses in 'print' statement; is is checking against python2?

Then, it does not find modules when 'import'(s) are processed. See,
https://buildbot.taler.net/#/builders/7/builds/134/steps/2/logs/stdio
TagsNo tags attached.

Activities

Marcello Stanisci

2017-12-15 17:12

manager   ~0012696

Installed pylint for the Python3.5 language, but:

even the pylint version which works on my laptop, 1.7.2, does not
seem to skip on Django imperfections, as it should instead do when
'--load-plugins pylint_django' is used. It keeps giving a bunch of
the following errors/warnings:

W: 96, 0: Unused variable '__class__' (unused-variable)
W: 96, 0: Unused variable '__class__' (unused-variable)
W: 96, 0: Unused variable '__class__' (unused-variable)
W:158, 0: Unused variable '__class__' (unused-variable)
W:158, 0: Unused variable '__class__' (unused-variable)
W:158, 0: Unused variable '__class__' (unused-variable)
W:158, 0: Unused variable '__class__' (unused-variable)
W:173, 0: Unused variable '__class__' (unused-variable)
W:173, 0: Unused variable '__class__' (unused-variable)
W:173, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
W:184, 0: Unused variable '__class__' (unused-variable)
...
...
W:116, 0: Unused variable '__class__' (unused-variable)
R:126, 4: Method could be a function (no-self-use)
W:116, 0: Unused variable '__class__' (unused-variable)
C:144, 4: Invalid method name "setUp" (invalid-name)
W:141, 0: Unused variable '__class__' (unused-variable)
R:144, 4: Method could be a function (no-self-use)
C:149, 4: Invalid method name "tearDown" (invalid-name)
W:141, 0: Unused variable '__class__' (unused-variable)
R:149, 4: Method could be a function (no-self-use)
W:141, 0: Unused variable '__class__' (unused-variable)
C:166, 4: Invalid method name "setUp" (invalid-name)
W:163, 0: Unused variable '__class__' (unused-variable)
R:166, 4: Method could be a function (no-self-use)
C:173, 4: Invalid method name "tearDown" (invalid-name)
W:163, 0: Unused variable '__class__' (unused-variable)

Marcello Stanisci

2017-12-19 17:41

manager   ~0012699

Last edited: 2017-12-19 17:41

View 2 revisions

fixed in ce64d4a by using *debian*-packaged pylint3 (1.6.5-1). It is worth noting that the worker runs still under virtualenv.

Issue History

Date Modified Username Field Change
2017-12-13 18:45 Marcello Stanisci New Issue
2017-12-13 18:45 Marcello Stanisci Assigned To => Marcello Stanisci
2017-12-13 18:45 Marcello Stanisci Status new => assigned
2017-12-14 15:51 Christian Grothoff Product Version => SVN HEAD
2017-12-14 15:51 Christian Grothoff Target Version => 0.6
2017-12-15 17:12 Marcello Stanisci Note Added: 0012696
2017-12-19 17:41 Marcello Stanisci Status assigned => resolved
2017-12-19 17:41 Marcello Stanisci Resolution open => fixed
2017-12-19 17:41 Marcello Stanisci Note Added: 0012699
2017-12-19 17:41 Marcello Stanisci Note Edited: 0012699 View Revisions
2017-12-19 20:20 Christian Grothoff Fixed in Version => 0.5
2017-12-19 20:20 Christian Grothoff Target Version 0.6 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed